# 本机校验H5使用手册

## 引入SDK
1. npm引入
```js
  npm install --save netease-quickpass-sdk
```

2. script引入

netease-quickpass-sdk.umd.js将暴露`NEQuickPass`变量，引入方式如下：
```js
  <script src="./yourPath/netease-quickpass-sdk.umd.js"></script>
```

## 初始化

```js
  var sdk = new NEQuickPass('从易盾申请到的appId')
```

#### params对象参数

| 参数 | 类型 | 默认值 | 含义 |
|-----------|-----------|-----------|----------|
| timeout | Number | 120000 | 设置getToken流程的超时时间 |

示例
```js
  var sdk = new NEQuickPass('从易盾申请到的appId', { timeout: 120000 })
```

## 获取秘钥
调用实例的getToken方法可获取验证秘钥。getToken支持回调函数和promise。

```js
  sdk.getToken(mobile, function (err, data) {
    if (err) {
      // 获取秘钥发生错误，请处理
      return
    }
    // 取号流程完成，等待验证，data为{ accessToken: 'xxx...', token: 'xxx...' }
  })
```

## 上传秘钥
将获取到的accessToken、token上传至客户服务端，由服务端调用本机校验服务提供的相应接口

# 开发指南

## 目录介绍

### Demo

包含对内测试和对外演示

其中 index.html 对内测试，仅包含号码认证的功能

quickpass.html 对外演示，不仅包含号码认证的功能，还包含降级短信的功能

### Dist

产出物目录，开发环境，生产环境的产出物都会在这里，其中对内测试的也在这里面

### Scripts

deploy.js 负责将构建好的 dist 目录上传到 NOS

### Src

源代码，入口文件为 Main.js

## NPM Scripts

### npm run dev
开发环境的构建, 监听文件变化，实时构建
